Subject: [bug#54000] [PATCH 0/2] Not showing upgraded/added packages in 'guix pull'

From: zimoun <[email-masked]>
Date: Thu, 17 Feb 2022 13:04:03 +0100

Hi Liliana,

On Thu, 17 Feb 2022 at 11:30, Liliana Marie Prikler <[email-masked]> wrote:

>> Is it an actual use case or speculation?
>
> That's a use case.  While --dry-run exists, I don't really want it to
> serve double duty here.  If I previously guix pulled and only three new
> packages were added, none of which I'm interested in, I would not have
> to meaninglessly run further build commands like guix package or guix
> system.  Even if the list is potentially longer, I could visually grep
> for a few packages I'm interested in and determine whether it'd make
> sense to build now or wait for a little while as I'm processing other
> things.

Stats, ~24 updates and ~13 additions per day on average (over the past
year).  If you pull twice a day, then yes you can read this information.
But, I bet people pull once a week, at best, so it looks like more
“noise“ and I guess most people miss the news.

About grepping, it is not straightforward.  For instance, I get this: 

--8<---------------cut here---------------start------------->8---
$ guix pull --news | grep python 
    openshadinglanguage, perl-date-range, pgcli, plfit, poweralertd, pproxy, python-aiosignal, python-android-backup,
    python-asdf-astropy, python-astral, python-astropy-healpix, python-astroquery, python-canvasapi, python-cmarkgfm,
    python-cucumber-tag-expressions, python-cython-next, python-doit, python-esprima, python-executing,
    python-flask-assets, python-flit-core-bootstrap, python-frozenlist, python-fs, python-geojson, python-gwcs,
    python-ipython-sql, python-markdownify, python-miio, python-pgspecial, python-photutils, python-phpserialize,
    python-piexif, python-psycopg, python-psycopg-pool, python-pydbus, python-pyftpdlib, python-pylru, python-pyowm,
    python-pypdf3, python-pyrss2gen, python-pyscss, python-pysendfile, python-pystitcher,
    python-pytest-doctest-custom, python-pytest-metadata, python-pytest-pydocstyle, python-pyvo, python-reedsolo,
    python-regions, python-retry, python-roundrobin, python-sarge, python-sentry-sdk, python-setuptools-rust,
    python-sphinx-click, python-sphinxcontrib-apidoc, python-tomli-w, python-tweepy, python-typeguard,
--8<---------------cut here---------------end--------------->8---

So I do not think the current display is adequate for grepping.

Somehow, the feature you want should be separated.  For instance,

    guix pull --updated
    guix pull --added
    guix pull --new-versions

> In general, it doesn't have to be named ‘--news --details’, but a means
> of diffing two generations via the CLI -- in particular the current one
> to the last -- would be very welcome, because then all information we
> previously had would still be available quite easily, albeit no longer
> printed by default.

That feature is interesting but it appears to me orthogonal with the
current proposal.

Cheers,
simon